<?php
 
 
 

namespace PhpWA\Protocol\Proto\MsgOpaqueData;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PollVotesSnapshot extends \Google\Protobuf\Internal\Message
{
    


    private $pollVotes;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getPollVotes()
    {
        return $this->pollVotes;
    }

    




    public function setPollVotes($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\MsgOpaqueData\PollVoteSnapshot::class);
        $this->pollVotes = $arr;

        return $this;
    }

}

